Bug 780074 - (SOA-2440) Subset of web-service related quickstarts does not work with CXF
Subset of web-service related quickstarts does not work with CXF
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Examples (Show other bugs)
5.1.0.ER3
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-19 09:34 EDT by Jiri Pechanec
Modified: 2011-02-10 19:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-10 19:19:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2440 None None None Never

  None (edit)
Description Jiri Pechanec 2010-10-19 09:34:32 EDT
project_key: SOA

Install CXF
run ant deploy
For example for
webservice_wssecurity

The compilation will fail
Comment 1 Kevin Conner 2010-10-19 09:37:39 EDT
Where do helloworld_ejb3_ws and helloworld_ejb3_ws_wss come from?  They are not ESB quickstarts.

Kev
Comment 2 Kevin Conner 2010-10-19 09:50:25 EDT
Link: Added: This issue depends JBESB-3514
Comment 3 Kevin Conner 2010-10-19 09:50:58 EDT
I have created JBESB-3514 to do the ESB specific part of this issue
Comment 4 Anne-Louise Tangring 2010-10-27 15:03:34 EDT
Candidate for SOA 5.1.0
Comment 5 Kevin Conner 2010-11-08 08:39:40 EST
This is resolved but there is a related issue.
Comment 6 Kevin Conner 2010-11-08 08:42:34 EST
Link: Added: This issue related SOA-2553
Comment 7 Martin Vecera 2010-11-25 08:09:28 EST
The following QSs do not work with CXF as well:
webservice_wsaddressing
webservice_proxy_basic


It would be great if all WS related QS were checked.
Comment 8 Kevin Conner 2010-11-25 08:14:09 EST
Can you please create new issues to cover these?
Comment 9 Martin Vecera 2010-11-25 08:20:24 EST
Link: Added: This issue Cloned to SOA-2613
Comment 10 Martin Vecera 2010-11-25 08:22:48 EST
Link: Removed: This issue Cloned to SOA-2613 
Comment 11 Martin Vecera 2010-11-25 08:23:13 EST
Link: Added: This issue related SOA-2613
Comment 13 Darrin Mison 2011-01-04 19:14:29 EST
Writer: Added: dlesage
Comment 14 Jiri Pechanec 2011-01-06 04:23:24 EST
Quickstarts helloworld_ejb3_ws and helloworld_ejb3_ws_wss still cannot be compiled in ER6
Comment 15 Kevin Conner 2011-01-06 04:29:17 EST
I'll split those out to a new issue as they are nothing to do with ESB, if they were written properly then they would have been fixed by this.
Comment 16 Kevin Conner 2011-01-06 04:29:46 EST
Link: Added: This issue Cloned to SOA-2748
Comment 17 Kevin Conner 2011-01-06 04:31:08 EST
Removing non ESB quickstarts from description.
Comment 18 Kevin Conner 2011-01-06 04:31:27 EST
Resolving for ESB quickstarts
Comment 19 Jiri Pechanec 2011-01-07 02:10:00 EST
Verified in ER6
Comment 20 David Le Sage 2011-02-10 19:15:44 EST
Temporarily reopening to update release note info.
Comment 21 David Le Sage 2011-02-10 19:19:04 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3514

A sub-set of web-service quick starts failed to compile if CXF was installed on the machine. This was caused by the inclusion of the jaxws-rt/tools JARs within soap.esb file. A missing file was added to support CXF integration.  As a result, the quick starts now compile correctly.

Note You need to log in before you can comment on or make changes to this bug.